rte_pdcp_entity_conf(3)

NAME
rte_pdcp_entity_conf

SYNOPSIS

#include <rte_pdcp.h>

  Data Fields

struct rte_security_pdcp_xform pdcp_xfrm
struct rte_crypto_sym_xform * crypto_xfrm
struct rte_mempool * sess_mpool
struct rte_mempool * cop_pool
struct rte_mempool * ctrl_pdu_pool
uint32_t sn
bool is_slrb
bool en_sec_offload
uint8_t dev_id
bool reverse_iv_direction
bool status_report_required
bool out_of_order_delivery
struct rte_pdcp_t_reordering t_reordering

Detailed Description

PDCP entity configuration to be used for establishing an entity.

Definition at line 118 of file rte_pdcp.h.

Field Documentation

  struct rte_security_pdcp_xform pdcp_xfrm
PDCP transform for the entity.

Definition at line 120 of file rte_pdcp.h.

  struct rte_crypto_sym_xform* crypto_xfrm
Crypto transform applicable for the entity.

Definition at line 122 of file rte_pdcp.h.

  struct rte_mempool* sess_mpool
Mempool for crypto symmetric session.

Definition at line 124 of file rte_pdcp.h.

  struct rte_mempool* cop_pool
Crypto op pool.

Definition at line 126 of file rte_pdcp.h.

  struct rte_mempool* ctrl_pdu_pool
Mbuf pool to be used for allocating control PDUs.

Definition at line 128 of file rte_pdcp.h.

  uint32_t sn
Sequence number value to be used. 32 bit count value to be used for the first packet would be derived based on HFN (rte_security_pdcp_xform.hfn) and SN.

Definition at line 134 of file rte_pdcp.h.

  bool is_slrb
Indicate whether the PDCP entity belongs to Side Link Radio Bearer.

Definition at line 136 of file rte_pdcp.h.

  bool en_sec_offload
Enable security offload on the device specified.

Definition at line 138 of file rte_pdcp.h.

  uint8_t dev_id
Device on which security/crypto session need to be created.

Definition at line 140 of file rte_pdcp.h.

  bool reverse_iv_direction
Reverse direction during IV generation. Can be used to simulate UE crypto processing.

Definition at line 145 of file rte_pdcp.h.

  bool status_report_required
Status report required (specified in TS 38.331).

If PDCP entity is configured to send a PDCP status report, the upper layer application may request a receiving PDCP entity to generate a PDCP status report using rte_pdcp_control_pdu_create. In addition, PDCP status reports may be generated during operations such as entity re-establishment.

Definition at line 155 of file rte_pdcp.h.

  bool out_of_order_delivery
Enable out of order delivery.

Definition at line 157 of file rte_pdcp.h.

  struct rte_pdcp_t_reordering t_reordering
t-Reordering timer configuration.

Definition at line 159 of file rte_pdcp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.